import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { Scatter } from '@antv/g2plot';
import BaseChart from '../../components/base';
var ScatterChart = defineComponent({
  name: 'ScatterChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": Scatter
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

ScatterChart.install = function (app) {
  app.component(ScatterChart.name, ScatterChart);
};

export default ScatterChart;