import { SunburstOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
export declare type SunburstChartProps = Omit<BaseChartProps<SunburstOptions>, 'chart'> & SunburstOptions;
declare const SunburstChart: import("vue").DefineComponent<SunburstChartProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    class: any;
    data: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | number[] | "auto" | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | undefined;
    supportCSSTransform?: boolean | undefined;
    style?: string | import("vue").CSSProperties | undefined;
    color?: string | string[] | ((datum: Record<string, any>) => string) | undefined;
    chartRef?: import("vue").Ref<import("@antv/g2plot").Plot<SunburstOptions> | null> | undefined;
    label?: false | ({
        readonly fields?: string[] | undefined;
        readonly callback?: import("@antv/g2/lib/interface").LabelCallback | undefined;
        readonly formatter?: string | import("@antv/g-base").IGroup | import("@antv/g-base").IShape | import("@antv/g2/lib/interface").GeometryLabelContentCallback | undefined;
    } & import("@antv/g2/lib/interface").GeometryLabelCfg) | undefined;
    meta?: unknown;
    seriesField?: string | undefined;
    localRefresh?: boolean | undefined;
    theme?: unknown;
    tooltip?: false | (import("@antv/g2/lib/interface").TooltipCfg & {
        readonly formatter?: ((item: any) => string) | undefined;
    }) | undefined;
    animation?: boolean | import("@antv/g2/lib/interface").AnimateOption | undefined;
    interactions?: import("@antv/g2plot/lib/types/interaction").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateCfg | undefined;
    radius?: number | undefined;
    innerRadius?: number | undefined;
    colorField?: string | undefined;
    type?: string | undefined;
    reflect?: "x" | "y" | undefined;
    sunburstStyle?: import("@antv/g-base").ShapeAttrs | ((datum: Record<string, any>) => import("@antv/g-base").ShapeAttrs) | undefined;
    hierarchyConfig?: Pick<import("@antv/g2plot/lib/plots/sunburst/types").HierarchyOption, "padding" | "size" | "round" | "tile" | "ratio" | "paddingInner" | "paddingOuter" | "paddingTop" | "paddingRight" | "paddingBottom" | "paddingLeft"> | undefined;
}>, {
    class: any;
    data: any;
}>;
export default SunburstChart;
