import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { Column } from '@antv/g2plot';
import BaseChart from '../../components/base';
var ColumnChart = defineComponent({
  name: 'ColumnChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": Column
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

ColumnChart.install = function (app) {
  app.component(ColumnChart.name, ColumnChart);
};

export default ColumnChart;