import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { Funnel } from '@antv/g2plot';
import BaseChart from '../../components/base';
var FunnelChart = defineComponent({
  name: 'FunnelChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": Funnel
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

FunnelChart.install = function (app) {
  app.component(FunnelChart.name, FunnelChart);
};

export default FunnelChart;