import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { Line } from '@antv/g2plot';
import BaseChart from '../../components/base';
var LineChart = defineComponent({
  name: 'LineChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": Line
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

LineChart.install = function (app) {
  app.component(LineChart.name, LineChart);
};

export default LineChart;