import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { RingProgress } from '@antv/g2plot';
import BaseChart from '../../components/base';
var RingProgressChart = defineComponent({
  name: 'RingProgressChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": RingProgress
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

RingProgressChart.install = function (app) {
  app.component(RingProgressChart.name, RingProgressChart);
};

export default RingProgressChart;