import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { Stock } from '@antv/g2plot';
import BaseChart from '../../components/base';
var StockChart = defineComponent({
  name: 'StockChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": Stock
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

StockChart.install = function (app) {
  app.component(StockChart.name, StockChart);
};

export default StockChart;